@article{bae_hs,
author = {HS, Bae and Ryu, J. and Gerdes, C.},
year = {2001},
month = {01},
pages = {},
title = {Road grade and vehicle parameter estimation for longitudinal control using GPS},
journal = {IEEE Transactions on Intelligent Transportation Systems - TITS}
}

@article{improved_road_grade,
author = {Jansson, Henrik and Kozica, Ermin and Sahlholm, Per and Johansson, Karl},
year = {2006},
month = {01},
pages = {},
title = {Improved road grade estimation using sensor fusion}
}

@article{methods_in_vehicle,
  title={Methods in Vehicle Mass and Road Grade Estimation},
  author={N. Kidambi and Ryan L. Harne and Y. Fujii and Gregory M. Pietron and K. W. Wang},
  journal={SAE International Journal of Passenger Cars - Electronic and Electrical Systems},
  year={2014},
  volume={7},
  pages={981-991}
}

@article{johansson,
title = {Road grade estimation for look-ahead vehicle control using multiple measurement runs},
journal = {Control Engineering Practice},
volume = {18},
number = {11},
pages = {1328-1341},
year = {2010},
note = {Special Issue on Automotive Control Applications, 2008 IFAC World Congress},
issn = {0967-0661},
doi = {https://doi.org/10.1016/j.conengprac.2009.09.007},
url = {https://www.sciencedirect.com/science/article/pii/S0967066109001804},
author = {Per Sahlholm and Karl {Henrik Johansson}},
keywords = {Road traffic, Global positioning systems, Kalman filters, Sensor fusion, Automotive system identification and modeling, General automobile/road-environment strategies}
}

 @article{SAHLHOLM200755,
title = {A SENSOR AND DATA FUSION ALGORITHM FOR ROAD GRADE ESTIMATION},
journal = {IFAC Proceedings Volumes},
volume = {40},
number = {10},
pages = {55-62},
year = {2007},
note = {5th IFAC Symposium on Advances in Automotive Control},
issn = {1474-6670},
doi = {https://doi.org/10.3182/20070820-3-US-2918.00010},
url = {https://www.sciencedirect.com/science/article/pii/S147466701531908X},
author = {Per Sahlholm and Henrik Jansson and Ermin Kozica and Karl Henrik Johansson},
keywords = {Road grade estimation, digital maps, GPS, Kalman filter, sensor fusion}
}

@article{OHNISHI2000235,
title = {A study on road slope estimation for automatic transmission control},
journal = {JSAE Review},
volume = {21},
number = {2},
pages = {235-240},
year = {2000},
issn = {0389-4304},
doi = {https://doi.org/10.1016/S0389-4304(99)00097-1},
url = {https://www.sciencedirect.com/science/article/pii/S0389430499000971},
author = {Hiroshi Ohnishi and Junichi Ishii and Mitsuo Kayano and Hiroshi Katayama},
keywords = {Powertrain, Automatic transmission/road slope estimation, Acceleration sensor, Output torque estimation}
}

@book{automotive,
author = {Kiencke, Uwe and Nielsen, Lars},
title = {Automotive Control Systems: For Engine, Driveline and Vehicle},
year = {2000},
isbn = {3540669221},
publisher = {Springer-Verlag},
address = {Berlin, Heidelberg},
edition = {1st},
abstract = {From the Publisher:This book enables control engineers to understand engine and vehicle models necessary for controller design and introduces mechanical engineers into vehicle-specific signal processing and automatic control. With only a few exceptions the approaches are close to some of those utilized in actual vehicles, rather than being purely theoretical. The authors have large experiences in industrial development (Bosch) as well as in academic research.}
}

@inproceedings{Gustafsson2000AdaptiveFA,
  title={Adaptive filtering and change detection},
  author={Fredrik K. Gustafsson},
  year={2000}
}

@article{Loi_braking,
title = {Onboard Model-based Prediction of Tram Braking Distance⁎⁎The research was funded by Technology Agency of the Czech Republic within the program Epsilon, the project TH03010155.},
journal = {IFAC-PapersOnLine},
volume = {53},  
number = {2},
pages = {15047-15052},
year = {2020},
note = {21st IFAC World Congress},
issn = {2405-8963},
doi = {https://doi.org/10.1016/j.ifacol.2020.12.2006},
url = {https://www.sciencedirect.com/science/article/pii/S2405896320326409},
author = {Loi Do and Ivo Herman and Zdeněk Hurák},
keywords = {Automatic control, optimization, real-time operations in transportation, Simulation, Braking distance prediction, Rail transport, Mathematical modelling},
abstract = {In this paper, we document a design of a computational method for an onboard prediction of a breaking distance for a city rail vehicle—a tram. The method is based on an onboard simulation of tram braking dynamics. Inputs to this simulation are the data from a digital map and the estimated (current) position and speed, which are, in turn, estimated by combining a mathematical model of dynamics of a tram with the measurements from a GNSS/GPS receiver, an accelerometer and the data from a digital map. Experiments with real trams verify the functionality, but reliable identification of the key physical parameters turns out critically important. The proposed method provides the core functionality for a collision avoidance system based on vehicle-to-vehicle (V2V) communication.}
}

@misc{openstreetmap, 
url={https://www.openstreetmap.org/#map=7/49.817/15.478}, 
journal={OpenStreetMap}
} 